# class Rational

### Public Instance Methods

to_d(precision) → bigdecimal click to toggle source

Returns the value as a BigDecimal.

The required `precision` parameter is used to determine the number of significant digits for the result.

    require 'bigdecimal'
    require 'bigdecimal/util'

    Rational(22, 7).to_d(3)   # => 0.314e1

See also BigDecimal.new.

    # File lib/bigdecimal/util.rb, line 131
    def to_d(precision)
      BigDecimal(self, precision)
    end